Package list feed2imap / 58787aa
Update upstream source from tag 'upstream/1.2.7' Update to upstream version '1.2.7' with Debian dir 264bb6313fd9032a1833671d9b3657fa9098f732 Antonio Terceiro 6 months ago
3 changed file(s) with 10 addition(s) and 6 deletion(s). Raw diff Collapse all Expand all
4949 s.name = PKG_NAME
5050 s.version = PKG_VERSION
5151 s.add_runtime_dependency 'ruby-feedparser', '>= 0.9'
52 s.add_runtime_dependency 'rmail', '>= 1.1.4'
5253 s.require_path = 'lib'
5354 s.executables = PKG_FILES.grep(%r{\Abin\/.}).map { |bin|
5455 bin.gsub(%r{\Abin/}, '')
6768 end
6869
6970 task :release => :repackage do
70 sh 'git', 'tag', 'v' + PKG_VERSION
71 sh 'git', 'tag', '--sign', 'v' + PKG_VERSION
7172 sh 'git', 'push'
7273 sh 'git', 'push', '--tags'
73 sh 'gem', 'push', "pkg/#{PKG_NAME}/#{PKG_VERSION}.gem"
74 sh 'gem', 'push', "pkg/#{PKG_NAME}-#{PKG_VERSION}.gem"
7475 end
11 # This file has been automatically generated by gem2tgz #
22 #########################################################
33 # -*- encoding: utf-8 -*-
4 # stub: feed2imap 1.2.6 ruby lib
4 # stub: feed2imap 1.2.7 ruby lib
55
66 Gem::Specification.new do |s|
77 s.name = "feed2imap".freeze
8 s.version = "1.2.6"
8 s.version = "1.2.7"
99
1010 s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
1111 s.require_paths = ["lib".freeze]
1212 s.authors = ["Lucas Nussbaum".freeze]
13 s.date = "2021-01-14"
13 s.date = "2021-01-18"
1414 s.description = "RSS/Atom feed aggregator".freeze
1515 s.executables = ["feed2imap".freeze, "feed2imap-cleaner".freeze, "feed2imap-dumpconfig".freeze, "feed2imap-opmlimport".freeze]
1616 s.files = ["COPYING".freeze, "ChangeLog".freeze, "README".freeze, "Rakefile".freeze, "bin/feed2imap".freeze, "bin/feed2imap-cleaner".freeze, "bin/feed2imap-dumpconfig".freeze, "bin/feed2imap-opmlimport".freeze, "data/doc/feed2imap/examples/feed2imaprc".freeze, "data/man/man1/feed2imap-cleaner.1".freeze, "data/man/man1/feed2imap-dumpconfig.1".freeze, "data/man/man1/feed2imap-opmlimport.1".freeze, "data/man/man1/feed2imap.1".freeze, "data/man/man5/feed2imaprc.5".freeze, "lib/feed2imap.rb".freeze, "lib/feed2imap/cache.rb".freeze, "lib/feed2imap/config.rb".freeze, "lib/feed2imap/feed2imap.rb".freeze, "lib/feed2imap/html2text-parser.rb".freeze, "lib/feed2imap/httpfetcher.rb".freeze, "lib/feed2imap/imap.rb".freeze, "lib/feed2imap/itemtomail.rb".freeze, "lib/feed2imap/maildir.rb".freeze, "lib/feed2imap/rexml_patch.rb".freeze, "lib/feed2imap/sgml-parser.rb".freeze, "lib/feed2imap/version.rb".freeze, "setup.rb".freeze, "test/maildir/cur/1376317520.15784_1.debian:2,S".freeze, "test/maildir/cur/1376317520.15789_1.debian:2,S".freeze, "test/maildir/cur/1376319137.17850_1.debian:2,".freeze, "test/maildir/cur/1376320022.18396_5.debian:2,FS".freeze, "test/maildir/new/1376320099.18396_7.debian".freeze, "test/tc_cache.rb".freeze, "test/tc_config.rb".freeze, "test/tc_httpfetcher.rb".freeze, "test/tc_maildir.rb".freeze]
2121 s.specification_version = 4
2222
2323 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
24 s.add_runtime_dependency(%q<rmail>.freeze, [">= 1.1.4"])
2425 s.add_runtime_dependency(%q<ruby-feedparser>.freeze, [">= 0.9"])
2526 else
27 s.add_dependency(%q<rmail>.freeze, [">= 1.1.4"])
2628 s.add_dependency(%q<ruby-feedparser>.freeze, [">= 0.9"])
2729 end
2830 else
31 s.add_dependency(%q<rmail>.freeze, [">= 1.1.4"])
2932 s.add_dependency(%q<ruby-feedparser>.freeze, [">= 0.9"])
3033 end
3134 end
00 class Feed2Imap
1 VERSION = "1.2.6"
1 VERSION = "1.2.7"
22 end